import request from '@/utils/request'

// 查询直播间礼物配置列表
export function listGift(query) {
  return request({
    url: '/live/gift/list',
    method: 'get',
    params: query
  })
}

// 查询直播间礼物配置详细
export function getGift(giftId) {
  return request({
    url: '/live/gift/' + giftId,
    method: 'get'
  })
}

// 新增直播间礼物配置
export function addGift(data) {
  return request({
    url: '/live/gift',
    method: 'post',
    data: data
  })
}

// 修改直播间礼物配置
export function updateGift(data) {
  return request({
    url: '/live/gift',
    method: 'put',
    data: data
  })
}

// 删除直播间礼物配置
export function delGift(giftId) {
  return request({
    url: '/live/gift/' + giftId,
    method: 'delete'
  })
}

// 导出直播间礼物配置
export function exportGift(query) {
  return request({
    url: '/live/gift/export',
    method: 'get',
    params: query
  })
}


// 查询直播间礼物配置详细
export function getDictData(dictType) {
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}
